Package com.google.android.exoplayer2.metadata.id3

## Class TextInformationFrame

- java.lang.Object
- - com.google.android.exoplayer2.metadata.id3.Id3Frame
  - - com.google.android.exoplayer2.metadata.id3.TextInformationFrame

- All Implemented Interfaces:
    `Parcelable`, `Metadata.Entry`

      public final class TextInformationFrame
      extends Id3Frame

  Text information ID3 frame.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Parcelable.Creator<TextInformationFrame>` | `CREATOR` |
    `String` | `description` |
    `String` | `value` | Deprecated. Use the first element of `values` instead.
    `ImmutableList<String>` | `values` | The text values of this frame.

    - ### Fields inherited from class com.google.android.exoplayer2.metadata.id3.Id3Frame

      `id`

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextInformationFrame​(String id, String description, String value)` | Deprecated. Use `TextInformationFrame(String id, String description, String[] values` instead
    `TextInformationFrame​(String id, String description, List<String> values)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |
    `void` | `populateMediaMetadata​(MediaMetadata.Builder builder)` | Uses the first element in `values` to set the relevant field in `MediaMetadata` (as determined by `Id3Frame.id`).
    `String` | `toString()` |
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class com.google.android.exoplayer2.metadata.id3.Id3Frame

      `describeContents`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.metadata.Metadata.Entry

      `getWrappedMetadataBytes, getWrappedMetadataFormat`

- - ### Field Detail

    - #### description

          @Nullable
          public final String description

    - #### value

          @Deprecated
          public final String value

      Deprecated.
      Use the first element of `values` instead.

    - #### values

          public final ImmutableList<String> values

      The text values of this frame. Will always have at least one element.

    - #### CREATOR

          public static final Parcelable.Creator<TextInformationFrame> CREATOR

  - ### Constructor Detail

    - #### TextInformationFrame

          public TextInformationFrame​(String id,
                                      @Nullable
                                      String description,
                                      List<String> values)

    - #### TextInformationFrame

          @Deprecated
          @InlineMe(replacement="this(id, description, ImmutableList.of(value))",
                    imports="com.google.common.collect.ImmutableList")
          public TextInformationFrame​(String id,
                                      @Nullable
                                      String description,
                                      String value)

      Deprecated.
      Use `TextInformationFrame(String id, String description, String[] values` instead

  - ### Method Detail

    - #### populateMediaMetadata

          public void populateMediaMetadata​(MediaMetadata.Builder builder)

      Uses the first element in `values` to set the relevant field in `MediaMetadata` (as determined by `Id3Frame.id`).
      Parameters:
        `builder` - The builder to be updated.

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Id3Frame`

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)